<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref2.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::ArrayExpr - Synopsis::PTree::CommentedAtom::CommentedAtom&#40;const Token&amp;&#44;Node*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::ArrayExpr - Synopsis::PTree::CommentedAtom::CommentedAtom&#40;const Token&amp;&#44;Node*&#41;</h1><div class="xref-name"><a id="Synopsis_mPTree_mArrayExpr" /><h2 >Class Synopsis::PTree::ArrayExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ArrayExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#447">Synopsis/PTree/Lists.hh:447</a>: in class <a href="../Scopes/Synopsis/PTree/ArrayExpr.html" >Synopsis::PTree::ArrayExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#447">Synopsis/PTree/Lists.hh:447</a>: in class <a href="../Scopes/Synopsis/PTree/ArrayExpr.html" >Synopsis::PTree::ArrayExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#77">Synopsis/PTree/TypeVisitor.hh:77</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#189">Synopsis/PTree/Visitor.hh:189</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#46">Synopsis/TypeAnalysis/TypeEvaluator.hh:46</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#450">Synopsis/PTree/Lists.hh:450</a>: Constructor <a href="../Scopes/Synopsis/PTree/ArrayExpr.html#ArrayExpr_lNode_S_cNode_S_r" >ArrayExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArrayExpr_mArrayExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ArrayExpr::ArrayExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ArrayExpr.html#ArrayExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#450">Synopsis/PTree/Lists.hh:450</a>: in class <a href="../Scopes/Synopsis/PTree/ArrayExpr.html" >Synopsis::PTree::ArrayExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArrowMemberExpr" /><h2 >Class Synopsis::PTree::ArrowMemberExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ArrowMemberExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#477">Synopsis/PTree/Lists.hh:477</a>: in class <a href="../Scopes/Synopsis/PTree/ArrowMemberExpr.html" >Synopsis::PTree::ArrowMemberExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#477">Synopsis/PTree/Lists.hh:477</a>: in class <a href="../Scopes/Synopsis/PTree/ArrowMemberExpr.html" >Synopsis::PTree::ArrowMemberExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#81">Synopsis/PTree/TypeVisitor.hh:81</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#197">Synopsis/PTree/Visitor.hh:197</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#36">Synopsis/SymbolLookup/Walker.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#50">Synopsis/TypeAnalysis/TypeEvaluator.hh:50</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#480">Synopsis/PTree/Lists.hh:480</a>: Constructor <a href="../Scopes/Synopsis/PTree/ArrowMemberExpr.html#ArrowMemberExpr_lNode_S_cNode_S_r" >ArrowMemberExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArrowMemberExpr_mArrowMemberExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ArrowMemberExpr::ArrowMemberExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ArrowMemberExpr.html#ArrowMemberExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#480">Synopsis/PTree/Lists.hh:480</a>: in class <a href="../Scopes/Synopsis/PTree/ArrowMemberExpr.html" >Synopsis::PTree::ArrowMemberExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAssignExpr" /><h2 >Class Synopsis::PTree::AssignExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AssignExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#369">Synopsis/PTree/Lists.hh:369</a>: in class <a href="../Scopes/Synopsis/PTree/AssignExpr.html" >Synopsis::PTree::AssignExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#369">Synopsis/PTree/Lists.hh:369</a>: in class <a href="../Scopes/Synopsis/PTree/AssignExpr.html" >Synopsis::PTree::AssignExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#65">Synopsis/PTree/TypeVisitor.hh:65</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#169">Synopsis/PTree/Visitor.hh:169</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#34">Synopsis/TypeAnalysis/TypeEvaluator.hh:34</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#372">Synopsis/PTree/Lists.hh:372</a>: Constructor <a href="../Scopes/Synopsis/PTree/AssignExpr.html#AssignExpr_lNode_S_cNode_S_r" >AssignExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAssignExpr_mAssignExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::AssignExpr::AssignExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AssignExpr.html#AssignExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#372">Synopsis/PTree/Lists.hh:372</a>: in class <a href="../Scopes/Synopsis/PTree/AssignExpr.html" >Synopsis::PTree::AssignExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAtom" /><h2 >Class Synopsis::PTree::Atom</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#Atom" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#105">Synopsis/PTree/Node.hh:105</a>: in class <a href="../Scopes/Synopsis/PTree/Atom.html" >Synopsis::PTree::Atom</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#18">Synopsis/PTree/Atoms.hh:18</a>: in class <a href="../Scopes/Synopsis/PTree/Literal.html" >Synopsis::PTree::Literal</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#28">Synopsis/PTree/Atoms.hh:28</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#26">Synopsis/PTree/Display.hh:26</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#54">Synopsis/PTree/Display.hh:54</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#71">Synopsis/PTree/Display.hh:71</a>: in class <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Synopsis::PTree::DotFileGenerator</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#108">Synopsis/PTree/Encoding.hh:108</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#28">Synopsis/PTree/Visitor.hh:28</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#27">Synopsis/PTree/Writer.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAtom_mAtom_lconst.Token_A_r" /><h2 >Constructor Synopsis::PTree::Atom::Atom&#40;const Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Atom.html#Atom_lconst.Token_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#109">Synopsis/PTree/Node.hh:109</a>: in class <a href="../Scopes/Synopsis/PTree/Atom.html" >Synopsis::PTree::Atom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAtom_mAtom_lconst.char_S_csize_t_r" /><h2 >Constructor Synopsis::PTree::Atom::Atom&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Atom.html#Atom_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#108">Synopsis/PTree/Node.hh:108</a>: in class <a href="../Scopes/Synopsis/PTree/Atom.html" >Synopsis::PTree::Atom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAtom_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Atom::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Atom.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#111">Synopsis/PTree/Node.hh:111</a>: in class <a href="../Scopes/Synopsis/PTree/Atom.html" >Synopsis::PTree::Atom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAtom_mis_atom_l_rconst" /><h2 >Member function Synopsis::PTree::Atom::is_atom&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Atom.html#is_atom_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#110">Synopsis/PTree/Node.hh:110</a>: in class <a href="../Scopes/Synopsis/PTree/Atom.html" >Synopsis::PTree::Atom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBlock" /><h2 >Class Synopsis::PTree::Block</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Block.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#27">Synopsis/PTree/Lists.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/Block.html" >Synopsis::PTree::Block</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#32">Synopsis/PTree/Display.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#90">Synopsis/PTree/Visitor.hh:90</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#389">Synopsis/Parser.hh:389</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#394">Synopsis/Parser.hh:394</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#39">Synopsis/SymbolFactory.hh:39</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#30">Synopsis/SymbolLookup/Walker.hh:30</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#56">Synopsis/SymbolLookup/Walker.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#30">Synopsis/PTree/Lists.hh:30</a>: Constructor <a href="../Scopes/Synopsis/PTree/Block.html#Block_lNode_S_cNode_S_r" >Block&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#31">Synopsis/PTree/Lists.hh:31</a>: Constructor <a href="../Scopes/Synopsis/PTree/Block.html#Block_lNode_S_cNode_S_cNode_S_r" >Block&#40;Node*&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#32">Synopsis/PTree/Lists.hh:32</a>: Member function <a href="../Scopes/Synopsis/PTree/Block.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBlock_mBlock_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Block::Block&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Block.html#Block_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#30">Synopsis/PTree/Lists.hh:30</a>: in class <a href="../Scopes/Synopsis/PTree/Block.html" >Synopsis::PTree::Block</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBlock_mBlock_lNode_S_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Block::Block&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Block.html#Block_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#31">Synopsis/PTree/Lists.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/Block.html" >Synopsis::PTree::Block</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBlock_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Block::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Block.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#32">Synopsis/PTree/Lists.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/Block.html" >Synopsis::PTree::Block</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBrace" /><h2 >Class Synopsis::PTree::Brace</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Brace.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#19">Synopsis/PTree/Lists.hh:19</a>: in class <a href="../Scopes/Synopsis/PTree/Brace.html" >Synopsis::PTree::Brace</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#31">Synopsis/PTree/Display.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#27">Synopsis/PTree/Lists.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/Block.html" >Synopsis::PTree::Block</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#35">Synopsis/PTree/Lists.hh:35</a>: in class <a href="../Scopes/Synopsis/PTree/ClassBody.html" >Synopsis::PTree::ClassBody</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#88">Synopsis/PTree/Visitor.hh:88</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#29">Synopsis/PTree/Writer.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/Writer.html" >Synopsis::PTree::Writer</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#22">Synopsis/PTree/Lists.hh:22</a>: Constructor <a href="../Scopes/Synopsis/PTree/Brace.html#Brace_lNode_S_cNode_S_r" >Brace&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#23">Synopsis/PTree/Lists.hh:23</a>: Constructor <a href="../Scopes/Synopsis/PTree/Brace.html#Brace_lNode_S_cNode_S_cNode_S_r" >Brace&#40;Node*&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#24">Synopsis/PTree/Lists.hh:24</a>: Member function <a href="../Scopes/Synopsis/PTree/Brace.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBrace_mBrace_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Brace::Brace&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Brace.html#Brace_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#22">Synopsis/PTree/Lists.hh:22</a>: in class <a href="../Scopes/Synopsis/PTree/Brace.html" >Synopsis::PTree::Brace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBrace_mBrace_lNode_S_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::Brace::Brace&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Brace.html#Brace_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#23">Synopsis/PTree/Lists.hh:23</a>: in class <a href="../Scopes/Synopsis/PTree/Brace.html" >Synopsis::PTree::Brace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBrace_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::Brace::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Brace.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#24">Synopsis/PTree/Lists.hh:24</a>: in class <a href="../Scopes/Synopsis/PTree/Brace.html" >Synopsis::PTree::Brace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBreakStatement" /><h2 >Class Synopsis::PTree::BreakStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/BreakStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#306">Synopsis/PTree/Lists.hh:306</a>: in class <a href="../Scopes/Synopsis/PTree/BreakStatement.html" >Synopsis::PTree::BreakStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#306">Synopsis/PTree/Lists.hh:306</a>: in class <a href="../Scopes/Synopsis/PTree/BreakStatement.html" >Synopsis::PTree::BreakStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#56">Synopsis/PTree/TypeVisitor.hh:56</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#156">Synopsis/PTree/Visitor.hh:156</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#309">Synopsis/PTree/Lists.hh:309</a>: Constructor <a href="../Scopes/Synopsis/PTree/BreakStatement.html#BreakStatement_lNode_S_cNode_S_r" >BreakStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mBreakStatement_mBreakStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::BreakStatement::BreakStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/BreakStatement.html#BreakStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#309">Synopsis/PTree/Lists.hh:309</a>: in class <a href="../Scopes/Synopsis/PTree/BreakStatement.html" >Synopsis::PTree::BreakStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCaseStatement" /><h2 >Class Synopsis::PTree::CaseStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CaseStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#330">Synopsis/PTree/Lists.hh:330</a>: in class <a href="../Scopes/Synopsis/PTree/CaseStatement.html" >Synopsis::PTree::CaseStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#330">Synopsis/PTree/Lists.hh:330</a>: in class <a href="../Scopes/Synopsis/PTree/CaseStatement.html" >Synopsis::PTree::CaseStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#60">Synopsis/PTree/TypeVisitor.hh:60</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#161">Synopsis/PTree/Visitor.hh:161</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#333">Synopsis/PTree/Lists.hh:333</a>: Constructor <a href="../Scopes/Synopsis/PTree/CaseStatement.html#CaseStatement_lNode_S_cNode_S_r" >CaseStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCaseStatement_mCaseStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::CaseStatement::CaseStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CaseStatement.html#CaseStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#333">Synopsis/PTree/Lists.hh:333</a>: in class <a href="../Scopes/Synopsis/PTree/CaseStatement.html" >Synopsis::PTree::CaseStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCastExpr" /><h2 >Class Synopsis::PTree::CastExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CastExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#393">Synopsis/PTree/Lists.hh:393</a>: in class <a href="../Scopes/Synopsis/PTree/CastExpr.html" >Synopsis::PTree::CastExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#393">Synopsis/PTree/Lists.hh:393</a>: in class <a href="../Scopes/Synopsis/PTree/CastExpr.html" >Synopsis::PTree::CastExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#69">Synopsis/PTree/TypeVisitor.hh:69</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#175">Synopsis/PTree/Visitor.hh:175</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#38">Synopsis/TypeAnalysis/TypeEvaluator.hh:38</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#396">Synopsis/PTree/Lists.hh:396</a>: Constructor <a href="../Scopes/Synopsis/PTree/CastExpr.html#CastExpr_lNode_S_cNode_S_r" >CastExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCastExpr_mCastExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::CastExpr::CastExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CastExpr.html#CastExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#396">Synopsis/PTree/Lists.hh:396</a>: in class <a href="../Scopes/Synopsis/PTree/CastExpr.html" >Synopsis::PTree::CastExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassBody" /><h2 >Class Synopsis::PTree::ClassBody</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassBody.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#35">Synopsis/PTree/Lists.hh:35</a>: in class <a href="../Scopes/Synopsis/PTree/ClassBody.html" >Synopsis::PTree::ClassBody</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#33">Synopsis/PTree/Display.hh:33</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#207">Synopsis/PTree/Lists.hh:207</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#91">Synopsis/PTree/Visitor.hh:91</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#222">Synopsis/Parser.hh:222</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#38">Synopsis/PTree/Lists.hh:38</a>: Constructor <a href="../Scopes/Synopsis/PTree/ClassBody.html#ClassBody_lNode_S_cNode_S_r" >ClassBody&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#39">Synopsis/PTree/Lists.hh:39</a>: Constructor <a href="../Scopes/Synopsis/PTree/ClassBody.html#ClassBody_lNode_S_cNode_S_cNode_S_r" >ClassBody&#40;Node*&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#40">Synopsis/PTree/Lists.hh:40</a>: Member function <a href="../Scopes/Synopsis/PTree/ClassBody.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassBody_mClassBody_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ClassBody::ClassBody&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassBody.html#ClassBody_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#38">Synopsis/PTree/Lists.hh:38</a>: in class <a href="../Scopes/Synopsis/PTree/ClassBody.html" >Synopsis::PTree::ClassBody</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassBody_mClassBody_lNode_S_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ClassBody::ClassBody&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassBody.html#ClassBody_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#39">Synopsis/PTree/Lists.hh:39</a>: in class <a href="../Scopes/Synopsis/PTree/ClassBody.html" >Synopsis::PTree::ClassBody</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassBody_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::ClassBody::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassBody.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#40">Synopsis/PTree/Lists.hh:40</a>: in class <a href="../Scopes/Synopsis/PTree/ClassBody.html" >Synopsis::PTree::ClassBody</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec" /><h2 >Class Synopsis::PTree::ClassSpec</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#194">Synopsis/PTree/Lists.hh:194</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#44">Synopsis/PTree/TypeVisitor.hh:44</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#131">Synopsis/PTree/Visitor.hh:131</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#206">Synopsis/Parser.hh:206</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#35">Synopsis/SymbolFactory.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#49">Synopsis/SymbolFactory.hh:49</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#147">Synopsis/SymbolLookup/Scopes.hh:147</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#166">Synopsis/SymbolLookup/Scopes.hh:166</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#34">Synopsis/SymbolLookup/Walker.hh:34</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#41">Synopsis/SymbolLookup/Walker.hh:41</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#197">Synopsis/PTree/Lists.hh:197</a>: Constructor <a href="../Scopes/Synopsis/PTree/ClassSpec.html#ClassSpec_lNode_S_cNode_S_cNode_S_r" >ClassSpec&#40;Node*&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#198">Synopsis/PTree/Lists.hh:198</a>: Constructor <a href="../Scopes/Synopsis/PTree/ClassSpec.html#ClassSpec_lconst.Encoding_A_cNode_S_cNode_S_cNode_S_r" >ClassSpec&#40;const Encoding&amp;&#44;Node*&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#199">Synopsis/PTree/Lists.hh:199</a>: Member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#200">Synopsis/PTree/Lists.hh:200</a>: Member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#encoded_name_l_rconst" >encoded_name&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#201">Synopsis/PTree/Lists.hh:201</a>: Member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#set_encoded_name_lconst.Encoding_A_r" >set_encoded_name&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#202">Synopsis/PTree/Lists.hh:202</a>: Member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#get_comments_l_r" >get_comments&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#204">Synopsis/PTree/Lists.hh:204</a>: Member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#base_clause_l_rconst" >base_clause&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#207">Synopsis/PTree/Lists.hh:207</a>: Member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#body_l_r" >body&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#209">Synopsis/PTree/Lists.hh:209</a>: Data member <a href="../Scopes/Synopsis/PTree/ClassSpec.html#my_name" >my_name</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#210">Synopsis/PTree/Lists.hh:210</a>: Data member <a href="../Scopes/Synopsis/PTree/ClassSpec.html#my_comments" >my_comments</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mClassSpec_lNode_S_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ClassSpec::ClassSpec&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#ClassSpec_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#197">Synopsis/PTree/Lists.hh:197</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mClassSpec_lconst.Encoding_A_cNode_S_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::ClassSpec::ClassSpec&#40;const Encoding&amp;&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#ClassSpec_lconst.Encoding_A_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#198">Synopsis/PTree/Lists.hh:198</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::ClassSpec::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#199">Synopsis/PTree/Lists.hh:199</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mbase_clause_l_rconst" /><h2 >Member function Synopsis::PTree::ClassSpec::base_clause&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#base_clause_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#204">Synopsis/PTree/Lists.hh:204</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mbody_l_r" /><h2 >Member function Synopsis::PTree::ClassSpec::body&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#body_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#207">Synopsis/PTree/Lists.hh:207</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mencoded_name_l_rconst" /><h2 >Member function Synopsis::PTree::ClassSpec::encoded_name&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#encoded_name_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#200">Synopsis/PTree/Lists.hh:200</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mget_comments_l_r" /><h2 >Member function Synopsis::PTree::ClassSpec::get_comments&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#get_comments_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#202">Synopsis/PTree/Lists.hh:202</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mmy_comments" /><h2 >Data member Synopsis::PTree::ClassSpec::my_comments</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#my_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#210">Synopsis/PTree/Lists.hh:210</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#202">Synopsis/PTree/Lists.hh:202</a>: in member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#get_comments_l_r" >Synopsis::PTree::ClassSpec::get_comments&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mmy_name" /><h2 >Data member Synopsis::PTree::ClassSpec::my_name</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#my_name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#209">Synopsis/PTree/Lists.hh:209</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#200">Synopsis/PTree/Lists.hh:200</a>: in member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#encoded_name_l_rconst" >Synopsis::PTree::ClassSpec::encoded_name&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#201">Synopsis/PTree/Lists.hh:201</a>: in member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#set_encoded_name_lconst.Encoding_A_r" >Synopsis::PTree::ClassSpec::set_encoded_name&#40;const Encoding&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mClassSpec_mset_encoded_name_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::ClassSpec::set_encoded_name&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/ClassSpec.html#set_encoded_name_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#201">Synopsis/PTree/Lists.hh:201</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCommentedAtom" /><h2 >Class Synopsis::PTree::CommentedAtom</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#28">Synopsis/PTree/Atoms.hh:28</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#44">Synopsis/PTree/Atoms.hh:44</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#52">Synopsis/PTree/Atoms.hh:52</a>: in class <a href="../Scopes/Synopsis/PTree/Identifier.html" >Synopsis::PTree::Identifier</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#60">Synopsis/PTree/Atoms.hh:60</a>: in class <a href="../Scopes/Synopsis/PTree/Keyword.html" >Synopsis::PTree::Keyword</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#32">Synopsis/PTree/Visitor.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#31">Synopsis/PTree/Atoms.hh:31</a>: Constructor <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#CommentedAtom_lconst.Token_A_cNode_S_r" >CommentedAtom&#40;const Token&amp;&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#32">Synopsis/PTree/Atoms.hh:32</a>: Constructor <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#CommentedAtom_lconst.char_S_csize_t_cNode_S_r" >CommentedAtom&#40;const char*&#44;size_t&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#33">Synopsis/PTree/Atoms.hh:33</a>: Member function <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#35">Synopsis/PTree/Atoms.hh:35</a>: Member function <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#get_comments_l_r" >get_comments&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#36">Synopsis/PTree/Atoms.hh:36</a>: Member function <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#set_comments_lNode_S_r" >set_comments&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#38">Synopsis/PTree/Atoms.hh:38</a>: Data member <a href="../Scopes/Synopsis/PTree/CommentedAtom.html#my_comments" >my_comments</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mCommentedAtom_mCommentedAtom_lconst.Token_A_cNode_S_r" /><h2 >Constructor Synopsis::PTree::CommentedAtom::CommentedAtom&#40;const Token&amp;&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/CommentedAtom.html#CommentedAtom_lconst.Token_A_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#31">Synopsis/PTree/Atoms.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/CommentedAtom.html" >Synopsis::PTree::CommentedAtom</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
